# Disable several RPM packaging features that we either do not need or corrupt the image files
AutoReqProv: no
%define _build_id_links none
%global __strip /bin/true
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

%if 0%{?with_debug}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package %{nil}
%endif

%global app_name                kubernetes-imgs
%global app_version             1.27.16
%global oracle_release_version  3
%global kubernetes_version      1.27.16-2
%global _buildhost              build-ol%{?oraclelinux}-%{?_arch}.oracle.com

Name:           %{app_name}
Version:        %{app_version}
Release:        %{oracle_release_version}%{?dist}
Vendor:         Oracle America
Summary:        Kubernetes images needed to bootstrap an Oracle Cloud Native Environment cluster.
License:        UPL 1.0
Group:          Development/Tools

Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  podman >= 4.6.1

%description
This package contains Kubernetes images needed to bootstrap an Oracle Cloud Native Environment cluster. Pre-pulling the
images makes startup faster and removes the requirement to have access to a container registry to create a cluster.

%prep
%setup -q -n %{name}-%{version}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/archives
install -d -m 0755 %{buildroot}/usr/ock/containers
install -d -m 0755 %{buildroot}/etc/ocne/ock/patches
./pull-images.sh v%{kubernetes_version} %{buildroot} /usr/ock/containers %{buildroot}/archives \
	v1.27.12 \
	3.9 \
	3.5.18-1 \
	3.5.10 \
	v1.12.0-1 \
	v1.10.1 \
	v0.26.3-1 \
	v0.22.3-2 \
	v0.23.2
./fix-images.sh %{buildroot}
rm -rf %{buildroot}/archives
mv %{buildroot}/usr/ock/patches/* %{buildroot}/etc/ocne/ock/patches/

%files
/usr/ock
/etc/ocne/ock

%post
echo "Fixing file and directory ownership"
find /usr/ock/containers -name headlamp | xargs chown -R 100:101

%changelog
* Wed Apr 09 2025 Daniel Krasinski <daniel.krasinski@oracle.com> - 1.27.16-3
- Rebuild with common base image

* Mon Feb 24 2025 Daniel Krasinski <daniel.krasinski@oracle.com> - 1.27.16-2
- Pick up the latest container images

* Sat Feb 22 2025 Daniel Krasinski <daniel.krasinski@oracle.com> - 1.27.16-1
- Bump to 1.27.16

* Mon Dec 09 2024 Daniel Krasinski <daniel.krasinski@oracle.com> - 1.27.12-14
- Add patch files for control plane components during kubeadm init/join

* Thu Nov 21 2024 Daniel Krasinski <daniel.krasinski@oracle.com> - 1.27.12-13
- Pick up the latest container images

* Wed Nov 13 2024 Daniel Krasinski <daniel.krasinski@oracle.com> - 1.27.12-12
- Add current tags for kube-proxy and coredns

* Thu Oct 24 2024 Daniel Krasinski <daniel.krasinski@oracle.com> - 1.27.12-11
- Pick up the latest container images

* Mon Sep 09 2024 Daniel Krasinski <daniel.krasinski@oracle.com> - 1.27.12-10
- Rebuild to pick up the latest container images

* Sat Sep 07 2024 Daniel Krasinski <daniel.krasinski@oracle.com> - 1.27.12-9
- Rebuild to pick up the latest container images

* Wed Sep 04 2024 Daniel Krasinski <daniel.krasinski@oracle.com> - 1.27.12-8
- Rebuild to pick up the latest container images

* Tue Aug 27 2024 Daniel Krasinski <daniel.krasinski@oracle.com> - 1.27.12-7
- Change read-only container image directory to /usr/ock

* Thu Aug 22 2024 Michael Gianatassio <michael.gianatassio@oracle.com> - 1.27.12-6
- Rebuild to pick up updated charts

* Wed Aug 14 2024 Fred Tibbitts <fred.tibbitts@oracle.com> - 1.27.12-5
- Rebuild to pick up updated charts

* Fri Aug 09 2024 Fred Tibbitts <fred.tibbitts@oracle.com> - 1.27.12-4
- Update headlamp image

* Fri Jul 26 2024 Fred Tibbitts <fred.tibbitts@oracle.com> - 1.27.12-3
- Update helm-charts image

* Mon  Jun 28 2024 Fred Tibbitts <fred.tibbitts@oracle.com> - 1.27.12-2
- Fix bad image tags, make build fail if any image pulls fail

* Fri Jun 21 2024 Zaid Abdulrehman <zaid.a.abdulrehman@oracle.com> - 1.27.12-1
- Initial creation
